%define _phplib %{_libdir}/php
%define _extdir %{_phplib}/extensions

Summary: PHP oci8/pdo_oci extension
Summary(ko): PHP oci8/pdo_oci 확장
Name: php-oci
Version: 7.0.23
Release: 1%{?dist}
Epoch: 100
Group: Development/Languages
License: PHP
Source0: oci-%{version}-1.tar.bz2

BuildRoot: /var/tmp/%{name}-root
Requires: phpapi oracle-instantclient12.2-basic
BuildRequires: php-devel oracle-instantclient12.2-devel

%description
PHP Oracle extension and PDO drive APIs

%prep
%setup -q -n oci

%build

CFLAGS="${RPM_OPT_FLAGS}"

cd oci8
	/usr/bin/phpize
	./configure --with-oci8=instantclient,/usr/lib/oracle/12.2/client64/lib
	%{__make} %{?_smp_mflags}
cd -

cd pdo_oci
	/usr/bin/phpize
	./configure --with-pdo-oci=instantclient,/usr,12.2
	%{__make} %{?_smp_mflags}
cd -


%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 oci8/modules/oci8.so %{buildroot}%{_extdir}/
%{__install} -m755 pdo_oci/modules/pdo_oci.so %{buildroot}%{_extdir}/

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d/{apache,cli,fpm}
for i in apache cli fpm
do
	%{__cat} > %{buildroot}%{_sysconfdir}/php.d/$i/oci.ini <<EOF
extension = oci8.so
extension = pdo_oci.so
EOF
done

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/oci8.so
%attr(755,root,root) %{_extdir}/pdo_oci.so
%config(noreplace) %{_sysconfdir}/php.d/apache/oci.ini
%config(noreplace) %{_sysconfdir}/php.d/cli/oci.ini
%config(noreplace) %{_sysconfdir}/php.d/fpm/oci.ini

%changelog
* Thu Aug 31 2017 JoungKyum.Kim <http://oops.org> 100:7.0.23-1%{?dist}
- update 7.0.23 oci8 and pdo_oci extension
- link with oracle-instantclient12.2
- Expose oci_unregister_taf_callback()
- fixed #74625 Integer overflow in oci_bind_array_by_name
- Add TAF callback (PR #2459)
- Support Instant Client 12.2 in --with-pdo-oci configure option.

* Fri May 26 2017 JoungKyun.Kim <http://oops.org> 100:7.0.19-1%{?dist}
- update 7.0.19 oci8 and pdo_oci extension
- update oci8 drive to 2.1.4
- oci: fixed uninitialized data causing random crash
- pdo_oci: bug #54379 (PDO_OCI: UTF-8 output gets truncated

* Tue Dec 20 2016 JoungKyun.Kim <http://oops.org> 100:7.0.14-1%{?dist}
- update 7.0.14 oci8 and pdo_oci extension
- update oci8 drive to 2.1.3
- fixed #71148 Bind reference overwritten on PHP 7

* Mon Oct 17 2016 JoungKyun.Kim <http://oops.org> 100:7.0.12-1%{?dist}
- update 7.0.12 oci8 and pdo_oci extension
- fixed dependency package
- fixed invalid handle error with Implicit Result Sets.
- fixed bug #72524 (Binding null values triggers ORA-24816 error).

* Tue Jun 21 2016 JoungKyun.Kim <http://oops.org> 100:7.0.7-1%{?dist}
- update 7.0.7 oci8 and pdo_oci extension
- Fixed bug #71600 (oci_fetch_all segfaults when selecting more than eight columns

* Sat Jan  9 2016 JoungKyun.Kim <http://oops.org> 100:7.0.1-1%{?dist}
- update 7.0.1 oci8 and pdo_oci extension

